```
$ git init
```
```
Initialized empty Git repository in C:/Users/Foder/Desktop/bish/.git/
```
Создаёт в текущем каталоге новый подкаталог с именем .git содержащий все необходимые файлы репозитория
```
$ git config user.name "KKonstantinov"
```
Добавляет имя в репозиторий
```
$ git config user.email "shalri.gg@gmail.com"
```
Добавляет почту 
```
$ git add .
```
Добавляет все файлы с папки в репозиторий
```
$ git commit -m "first commit"
```
```
[master (root-commit) 68fc25f] first commit
 1 file changed, 7 insertions(+)
 create mode 100644 .gitignore.txt
```
Сохраняет файлы в папке
```
$ git remote add origin https://kolei.ru/KKonstantinov/bishbashbosh.git
```
Добавляет ссылку на свой внешений репозиторий
```
$ git push -u origin master
```
```
Enumerating objects: 3, done.
Counting objects: 100% (3/3), done.
Delta compression using up to 16 threads
Compressing objects: 100% (2/2), done.
Writing objects: 100% (3/3), 402 bytes | 402.00 KiB/s, done.
Total 3 (delta 0), reused 0 (delta 0), pack-reused 0
To https://kolei.ru/KKonstantinov/bishbashbosh.git
 * [new branch]      master -> master
branch 'master' set up to track 'origin/master'.
```
Перекидывает файлы с локального репозитория на внешний репозиторий

```
git add .
```
Добавляет все файлы с локального репозитория
```
git commit -m "second commit"
```
```
[master 042f1c8] second commit
 1 file changed, 47 insertions(+)
 create mode 100644 readme.txt
```
Сохраняет файлы в папку
```
 git push -u origin master
```
Выгружает локальный репозиторий в внешний